Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1497)
+++ palm/trunk/SOURCE/header.f90	(revision 1551)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Added informal output for land surface model and radiation model. Removed typo.
 ! 
 ! Former revisions:
@@ -170,5 +170,5 @@
 ! Description:
 ! ------------
-! Writing a header with all important informations about the actual run.
+! Writing a header with all important information about the actual run.
 ! This subroutine is called three times, two times at the beginning 
 ! (writing information on files RUN_CONTROL and HEADER) and one time at the
@@ -200,5 +200,10 @@
         
     USE kinds
-    
+   
+    USE land_surface_model_mod,                                                &
+        ONLY:  conserve_water_content, dewfall, land_surface, nzb_soil,        &
+               nzt_soil, root_fraction, soil_moisture, soil_temperature,       &
+               soil_type, soil_type_name, veg_type, veg_type_name, zs
+ 
     USE model_1d,                                                              &
         ONLY:  damp_level_ind_1d, dt_pr_1d, dt_run_control_1d, end_time_1d
@@ -225,4 +230,8 @@
                lai_beta, leaf_scalar_exch_coeff, leaf_surface_conc, pch_index, &
                plant_canopy
+
+    USE radiation_model_mod,                                                   &
+        ONLY:  albedo, day_init, dt_radiation, lambda, net_radiation,          &
+               radiation, radiation_scheme, time_utc_init
     
     USE spectrum,                                                              &
@@ -263,4 +272,5 @@
     CHARACTER (LEN=86) ::  gradients           !:
     CHARACTER (LEN=86) ::  leaf_area_density   !:
+    CHARACTER (LEN=86) ::  roots               !:
     CHARACTER (LEN=86) ::  slices              !:
     CHARACTER (LEN=86) ::  temperatures        !:
@@ -311,5 +321,5 @@
 !
 !-- At the end of the run, output file (HEADER) will be rewritten with
-!-- new informations
+!-- new information
     IF ( io == 19 .AND. simulated_time_at_begin /= simulated_time ) REWIND( 19 )
 
@@ -495,5 +505,5 @@
 
 !
-!-- Runtime and timestep informations
+!-- Runtime and timestep information
     WRITE ( io, 200 )
     IF ( .NOT. dt_fixed )  THEN
@@ -850,4 +860,73 @@
 
 
+    IF ( land_surface )  THEN
+
+       temperatures = ''
+       gradients    = '' ! use for humidity here
+       coordinates  = '' ! use for height
+       roots        = '' ! use for root fraction
+       slices       = '' ! use for index
+
+       i = 1
+       DO i = nzb_soil, nzt_soil
+          WRITE (coor_chr,'(F10.2,7X)') soil_temperature(i)
+          temperatures = TRIM( temperatures ) // ' ' // TRIM( coor_chr )
+
+          WRITE (coor_chr,'(F10.2,7X)') soil_moisture(i)
+          gradients = TRIM( gradients ) // ' ' // TRIM( coor_chr )
+
+          WRITE (coor_chr,'(F10.2,7X)')  - zs(i)
+          coordinates = TRIM( coordinates ) // ' '  // TRIM( coor_chr )
+
+          WRITE (coor_chr,'(F10.2,7X)')  root_fraction(i)
+          roots = TRIM( roots ) // ' '  // TRIM( coor_chr )
+
+          WRITE (coor_chr,'(I10,7X)')  i
+          slices = TRIM( slices ) // ' '  // TRIM( coor_chr )
+
+
+       ENDDO
+
+!
+!--    Write land surface model header
+       WRITE( io, 419 )
+       IF ( conserve_water_content )  THEN
+          WRITE( io, 440 )
+       ELSE
+          WRITE( io, 441 )
+       ENDIF
+
+       IF ( dewfall )  THEN
+          WRITE( io, 442 )
+       ELSE
+          WRITE( io, 443 )
+       ENDIF
+
+       WRITE( io, 438 ) veg_type_name(veg_type), soil_type_name(soil_type)
+       WRITE( io, 439 ) TRIM( coordinates ), TRIM( temperatures ),             &
+                        TRIM( gradients ), TRIM( roots ), TRIM( slices )
+
+
+    ENDIF
+
+    IF ( radiation )  THEN
+!
+!--    Write land surface model header
+       WRITE( io, 444 )
+
+       IF ( radiation_scheme == "constant" )  THEN
+          WRITE( io, 445 ) net_radiation
+       ELSEIF ( radiation_scheme == "clear-sky" )  THEN
+          WRITE( io, 446 )
+       ELSE
+          WRITE( io, 447 ) radiation_scheme
+       ENDIF
+
+       WRITE( io, 448 ) albedo
+       WRITE( io, 449 ) dt_radiation
+
+    ENDIF
+
+
 !
 !-- Boundary conditions
@@ -877,9 +956,13 @@
 
     IF ( ibc_pt_b == 0 )  THEN
-       runten = TRIM( runten ) // ' pt(0)   = pt_surface'
+       IF ( land_surface )  THEN
+          runten = TRIM( runten ) // ' pt(0)     = from soil model'
+       ELSE
+          runten = TRIM( runten ) // ' pt(0)     = pt_surface'
+       ENDIF
     ELSEIF ( ibc_pt_b == 1 )  THEN
-       runten = TRIM( runten ) // ' pt(0)   = pt(1)'
+       runten = TRIM( runten ) // ' pt(0)     = pt(1)'
     ELSEIF ( ibc_pt_b == 2 )  THEN
-       runten = TRIM( runten ) // ' pt(0) = from coupled model'
+       runten = TRIM( runten ) // ' pt(0)     = from coupled model'
     ENDIF
     IF ( ibc_pt_t == 0 )  THEN
@@ -918,5 +1001,10 @@
     IF ( humidity )  THEN
        IF ( ibc_q_b == 0 )  THEN
-          runten = 'q(0)     = q_surface'
+          IF ( land_surface )  THEN
+             runten = 'q(0)     = from soil model'
+          ELSE
+             runten = 'q(0)     = q_surface'
+          ENDIF
+
        ELSE
           runten = 'q(0)     = q(1)'
@@ -1225,5 +1313,5 @@
              coordinates = '/'
 !
-!--          Building strings with index and coordinate informations of the
+!--          Building strings with index and coordinate information of the
 !--          slices
              DO  WHILE ( section(i,1) /= -9999 )
@@ -1271,5 +1359,5 @@
              coordinates = '/'
 !
-!--          Building strings with index and coordinate informations of the
+!--          Building strings with index and coordinate information of the
 !--          slices
              DO  WHILE ( section(i,2) /= -9999 )
@@ -1313,5 +1401,5 @@
              coordinates = '/'
 !
-!--          Building strings with index and coordinate informations of the
+!--          Building strings with index and coordinate information of the
 !--          slices
              DO  WHILE ( section(i,3) /= -9999 )
@@ -1571,9 +1659,16 @@
 !
 !-- Geostrophic parameters
-    WRITE ( io, 410 )  omega, phi, f, fs
+    IF ( radiation .AND. radiation_scheme /= 'constant' )  THEN
+       WRITE ( io, 417 )  lambda
+    ENDIF
+    WRITE ( io, 410 )  phi, omega, f, fs
 
 !
 !-- Other quantities
     WRITE ( io, 411 )  g
+    IF ( radiation .AND. radiation_scheme /= 'constant' )  THEN
+       WRITE ( io, 418 )  day_init, time_utc_init
+    ENDIF
+
     WRITE ( io, 412 )  TRIM( reference_state )
     IF ( use_single_reference_value )  THEN
@@ -1732,5 +1827,5 @@
 
 !
-!-- User-defined informations
+!-- User-defined information
     CALL user_header( io )
 
@@ -1867,6 +1962,6 @@
 260 FORMAT (/' The model has a slope in x-direction. Inclination angle: ',F6.2,&
              ' degrees')
-270 FORMAT (//' Topography informations:'/ &
-              ' -----------------------'// &
+270 FORMAT (//' Topography information:'/ &
+              ' ----------------------'// &
               1X,'Topography: ',A)
 271 FORMAT (  ' Building size (x/y/z) in m: ',F5.1,' / ',F5.1,' / ',F5.1/ &
@@ -1905,5 +2000,5 @@
              ' -------------------'// &
              '                     p                    uv             ', &
-             '                   pt'// &
+             '                     pt'// &
              ' B. bound.: ',A/ &
              ' T. bound.: ',A)
@@ -2047,19 +2142,24 @@
 400 FORMAT (//' Physical quantities:'/ &
               ' -------------------'/)
-410 FORMAT ('    Angular velocity    :   omega = ',E9.3,' rad/s'/  &
-            '    Geograph. latitude  :   phi   = ',F4.1,' degr'/   &
-            '    Coriolis parameter  :   f     = ',F9.6,' 1/s'/    &
-            '                            f*    = ',F9.6,' 1/s')
-411 FORMAT (/'    Gravity             :   g     = ',F4.1,' m/s**2')
+410 FORMAT ('    Geograph. latitude  :   phi    = ',F4.1,' degr'/   &
+            '    Angular velocity    :   omega  = ',E9.3,' rad/s'/  &
+            '    Coriolis parameter  :   f      = ',F9.6,' 1/s'/    &
+            '                            f*     = ',F9.6,' 1/s')
+411 FORMAT (/'    Gravity             :   g      = ',F4.1,' m/s**2')
 412 FORMAT (/'    Reference state used in buoyancy terms: ',A)
 413 FORMAT ('       Reference density in buoyancy terms: ',F8.3,' kg/m**3')
 414 FORMAT ('       Reference temperature in buoyancy terms: ',F8.4,' K')
-415 FORMAT (/'    Cloud physics parameters:'/ &
-             '    ------------------------'/)
-416 FORMAT ('        Surface pressure   :   p_0   = ',F7.2,' hPa'/      &
-            '        Gas constant       :   R     = ',F5.1,' J/(kg K)'/ &
-            '        Density of air     :   rho_0 = ',F5.3,' kg/m**3'/  &
-            '        Specific heat cap. :   c_p   = ',F6.1,' J/(kg K)'/ &
-            '        Vapourization heat :   L_v   = ',E8.2,' J/kg')
+415 FORMAT (/' Cloud physics parameters:'/ &
+             ' ------------------------'/)
+416 FORMAT ('    Surface pressure   :   p_0   = ',F7.2,' hPa'/      &
+            '    Gas constant       :   R     = ',F5.1,' J/(kg K)'/ &
+            '    Density of air     :   rho_0 = ',F5.3,' kg/m**3'/  &
+            '    Specific heat cap. :   c_p   = ',F6.1,' J/(kg K)'/ &
+            '    Vapourization heat :   L_v   = ',E8.2,' J/kg')
+417 FORMAT ('    Geograph. longitude :   lambda = ',F4.1,' degr')
+418 FORMAT (/'    Day of the year at model start :   day_init      =     ',I3 &
+            /'    UTC time at model start        :   time_utc_init = ',F7.1' s')
+419 FORMAT (//' Land surface model information:'/ &
+              ' ------------------------------'/)
 420 FORMAT (/'    Characteristic levels of the initial temperature profile:'// &
             '       Height:        ',A,'  m'/ &
@@ -2120,4 +2220,25 @@
                        '[0,1000] cm**2/s**3')
 437 FORMAT ('    Droplet collision is switched off')
+438 FORMAT (' --> Land surface type  : ',A,/ &
+            ' --> Soil porosity type : ',A)
+439 FORMAT (/'    Initial soil temperature and moisture profile:'// &
+            '       Height:        ',A,'  m'/ &
+            '       Temperature:   ',A,'  K'/ &
+            '       Moisture:      ',A,'  m**3/m**3'/ &
+            '       Root fraction: ',A,'  '/ &
+            '       Gridpoint:     ',A)
+440 FORMAT (/' --> Dewfall is allowed (default)')
+441 FORMAT (' --> Dewfall is inhibited')
+442 FORMAT (' --> Soil bottom is closed (water content is conserved, default)')
+443 FORMAT (' --> Soil bottom is open (water content is not conserved)')
+444 FORMAT (//' Radiation model information:'/                                 &
+              ' ----------------------------'/)
+445 FORMAT (' --> Using constant net radiation: net_radiation = ', F6.2, '  W/m**2')
+446 FORMAT (' --> Simple radiation scheme for clear sky is used (no clouds,',  &
+                   ' default)')
+447 FORMAT (' --> Radiation scheme:', A)
+448 FORMAT (/'    Surface albedo: albedo = ', F5.3)
+449 FORMAT  ('    Timestep: dt_radiation = ', F5.2, '  s')
+
 450 FORMAT (//' LES / Turbulence quantities:'/ &
               ' ---------------------------'/)
@@ -2200,6 +2321,6 @@
 508 FORMAT ('    Ventilation effects on evaporation of rain drops')
 509 FORMAT ('    Slope limiter used for sedimentation process')
-510 FORMAT ('        Droplet density    :   N_c   = ',F6.1,' 1/cm**3')
-511 FORMAT ('        Sedimentation Courant number:                  '/&
+510 FORMAT ('    Droplet density    :   N_c   = ',F6.1,' 1/cm**3')
+511 FORMAT ('    Sedimentation Courant number:                  '/&
             '                               C_s   = ',F3.1,'        ')
 512 FORMAT (/' Date:                 ',A8,6X,'Run:       ',A20/      &
